### Function

# EvinceDocument Document misc_render_loading_thumbnail_surface

since: 3.14

#### Declaration [src]

    cairo_surface_t*
    ev_document_misc_render_loading_thumbnail_surface (
      GtkWidget* widget,
      int width,
      int height,
      gboolean inverted_colors
    )

#### Description

No description available.

Available since: 3.14

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget` to use for style information.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  The desired width.

`height`

  Type: `int`

  The desired height.

`inverted_colors`

  Type: `gboolean`

  Whether to invert colors.

#### Return value

Type: `cairo_surface_t`

A #cairo_surface_t.

The caller of the function takes ownership of the data, and is responsible for freeing it.